PY7ZR(1)

NAME
py7zr - Pure python 7zr implementation

SYNNOPSIS
py7zr [-h] [--version] {l,x,c,a,i,t} ...

DESCRIPTION
py7zr is a library and utility to support 7zip archive compression, decompression, encryption and decryption written by Python programming language.

The py7zr module provides a simple command-line interface to interact with 7z archives.

  Command-Line options:

l 7z_file.7z
    List files in a 7z file.

x 7z_file.7z [output_dir]
    Extract 7z file into output_dir.

c 7z_file.7z base_dir
    Create 7zip archive from base_dir

a 7z_file.7z base_dir
    Append files from base_dir to existent 7zip archive.

i 7z_file.7z
    Show archive information of specified 7zip archive.

t 7z_file.7z
    Test whether the 7z file is valid or not.

  Common command options:

-h, --help
    Show help message and exit

--version
    Show version

-P, --password
    Extract, list or create password protected archive. py7zr will prompt user input.

--verbose
    Show verbose debug log.

  Create command options:

-v, --volume {Size}[b|k|m|g]
    Create multi-volume archive with Size. Usable with "c" sub-command.

SEE ALSO
7zr(1)

User Guide
    https://py7zr.readthedocs.io/en/latest/user_guide.html